import { combineReducers } from 'redux'
import locationReducer from './location'

//初始化reducer
export const makeRootReducer = (asyncReducers) => {
  return combineReducers({
    location: locationReducer,
    ...asyncReducers
  })
}
// 注入reducer
export const injectReducer = (store, { key, reducer }) => {
  store.asyncReducers[key] = reducer;
  store.replaceReducer(makeRootReducer(store.asyncReducers))
};
// 注入多个reducer
export const injectReducers = (store, arr) => {
  for (let i = 0 ;i<arr.length;i++){
    const key = arr[i].key;
    const reducer = arr[i].reducer;
    store.asyncReducers[key] = reducer;
    store.replaceReducer(makeRootReducer(store.asyncReducers))
  }
};

export default makeRootReducer
